Comments

Get comments from a video. Can only get 1k top comments and about 7k new comments.

1 creditper request
GET
/v1/youtube/video/comments
curl "https://api.scrapecreators.com/v1/youtube/video/comments" \
  -H "x-api-key: "
{
  "comments": [
    {
      "id": "UgwVfRopfS2F-WB3aF14AaABAg",
      "content": "I love how in the middle he said "I've been able to work with 2 great coaches... Pete and Coach Tomlin"... Side shade to Coach Sean Payton, love it :)",
      "publishedTimeText": "9 days ago",
      "publishedTime": "2025-01-23T23:14:02.948Z",
      "replyLevel": 0,
      "author": {
        "name": "@SimonT80",
        "channelId": "UC8JC3uSUmmXTCTKl-bgr1DA",
        "isVerified": false,
        "isCreator": false,
        "avatarUrl": "https://yt3.ggpht.com/ytc/AIdro_lQ_2v9lDqwRrmdvEBfDNyFOvgQICl68X6WFkwZ5KI=s88-c-k-c0x00ffffff-no-rj",
        "channelUrl": "https://youtube.com/@SimonT80"
      },
      "engagement": {
        "likes": 110,
        "replies": 5
      }
    }
  ],
  "continuationToken": "Eg0SCzVFV2F4bVd...."
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

YouTube video URL

Example:
https://www.youtube.com/watch?v=dQw4w9WgXcQ
continuationToken
string

Continuation token to get more comments. Get 'continuationToken' from previous response.

Example:
4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB
order
string

Order of comments

Example:
top
Available options:
top,
newest